About Package Builder Help

What is a Package Builder?


What is a Package Builder?

Package Builder lets you create customized installer packages that you can launch without user input, and integrate into your deployment solution. It is a tool that generates driver installation packages which automate the installation of printer drivers with preconfigured connectivity and print options.


Configuring the installation package

Notes:

  • Files in .cab and .exe formats are generated in the specified location.
  • The content of the package depends on the options you select.
  • Some of these features are available only in select printer models.

Select the contents of the package

From the “Package content options” section, select one or more of the following:

  • Include print and/or fax drivers

  • Include scan drivers and/or additional software

  • Support a single language only

    Note: By default, all languages that the product supports are included in the generated package. To reduce the size of the package, select Support a single language only, and then select the appropriate language.

Select the package options available during installation

From the “Package install-time options” section, do one of the following:

  • To hide the installation status, select Silent installation.

  • To show the installation status with the license agreement, select Display installation status to the user, and then select Include the license agreement.

    Note: The user must accept the license agreement to install the package.

  • To show the installation status and prompt the user to select a port, select Display installation status to the user, and then select Prompt user for port selection.

    Note: The user must select the port when installing the generated package.


Configuring the print driver

Understanding the printer name

Sharing the printer

Identifying other drivers available

Understanding the Driver Configuration File

Using Configuration Settings


Understanding the printer name

By default, the printer name is the model name of your printer. It is also referred to as the printer object name that is created after installation. A printer object represents the actual printer that a print job can be assigned to. Make sure that your printer object has a unique name to identify the correct printer on the network.

Notes:

  • To set the printer object as the default printer, select Set as Default Printer.
  • To let the application detect your printer object name during installation, select Detect printer name. This option may not be available depending on the printer model purchased.


Sharing the printer

Select the Share the printer check box, and then enter the following information:

  • Share Name—The name that other users see when pointing to a shared printer.

  • Comments—Any additional note for the shared printer. This is optional.

  • Location—Indicates the location of the shared printer. This is optional.

Note: Make sure that file and print sharing is turned on.


Identifying other drivers available

Universal Print Drivers (PCL 5, PCL XL, PS, and XPS) can be downloaded from our Web site. Search for your printer model to view compatible drivers.


Understanding the Driver Configuration File

A Driver Configuration File (DCF) is a file that stores saved printer settings and other data. DCFs use the .ldc file extension.

When using Package Builder, select the DCF that contains the configurations you want to use to create a printer object. The individual configuration of a DCF is identified by a description.

A DCF can contain one configuration for any number of printer models and any number of different drivers (PostScript or PCL emulations for Windows).

Note: The Driver Configuration Utility requires Microsoft XML Core Services (MSXML) 6. You can download it from www.microsoft.com.


Using Configuration Settings

  1. From the Configuration Settings section, select Use a configuration to apply settings.

    1. If you want to use an existing configuration file, then click Load File.

    2. If you want to create a new configuration file, then do the following:

      1. Click New.

      2. Select the configuration data you want to create.

      3. Click Finish, and then save the settings.

        4. Note: If you want to apply the same configuration to all subsequent print queue creations, then select Apply to all future installations. Otherwise, the configuration will apply only for this printer object.

  2. Click OK.


Configuring the printer connection

Selecting the printer from a discovered port

Connecting the printer using a USB cable

Adding a network printer

Understanding port types

Launching the Status Messenger manually

Specifying a port using the command line

What is a port name?

Why is my printer not on the list?


Selecting the printer from a discovered port

  1. If you choose to establish printer connection through a discovered port, then obtain the following information:

    Printer information

    Description

    Fully Qualified Domain Name (in the TCP/IP section)

    This includes the name of the printer and the network that it is connected to. This is also the printer name.

    IP Address (in the TCP/IP section)

    This is a unique number that your printer uses to communicate with and locate other devices on a network.

    UAA (MAC) (in the Standard Network Card section)

    This is a unique hardware identification number that distinguishes the printer from another device on the network.

    Zero Configuration Name (in the TCP/IP section)

    This indicates that your printer supports zeroconf or zero configuration networking.

    Note: If you do not have the required information, then print a network setup page. For more information, see the User’s Guide.

  2. Select your printer from the list, and then click Continue.

  3. If your printer is not in the list, then try one or more of the following:

    • Refresh the printer list.

    • Click Modify Search to add your printer manually using advanced network settings.

    • Click Configure Wireless to add a printer connected on a wireless network.

    • Click Specify Port to add your printer manually using ports.

    • Make sure that third-party applications are not blocking your printer.

    • Make sure that your computer is not connected to a Virtual Private Network (VPN).

    • Make sure that your computer and printer are connected to the same network.

    • Make sure that a valid, unique IP address is assigned to the printer.


Connecting the printer using a USB cable

If you selected Connect with a USB cable, then the operating system creates the printer object by default. The printer object name should match the one created by the operating system.

Notes:

  • The user needs to insert the USB cable to complete the installation and create the printer object.
  • When you have connected the printer using the USB port, the user needs to manually launch the Status Messenger.


Adding a network printer

Use the Add Network Printer dialog to search for printers by printer name, IP address, or subnet. Find your printer, and then manually add it to the list of available network printers.

Note: Make sure you know the name and IP address of the printer, and the subnet that it belongs to. To obtain these information, print a network setup page. For more information, see the User's Guide.

Using the printer name and IP address

Type the printer name or IP address, and then click OK.

Using the subnet address

If the printer and print server are located on another network (called a subnet), then find available printers by specifying the subnet of the printer that you want to access.

  • To add a subnet address, type the subnet address on the specified field, and then click Add > OK.

    Note: You can also search for multiple subnet addresses.

  • To remove a subnet address, highlight the subnet address from the list of discovered subnets, and then click Remove.


Understanding port types

Note: Some ports may be available only in select printer models.
Port types | Description
External print server | This is an external device that allows network access through its Ethernet ports.
LPR (Line Printer Remote) | This is a protocol used for submitting print jobs to a remote printer.
Print server | This is a computer or device that is connected to one or more printers, and to client computers over a network. It can accept print jobs from computers and send jobs to appropriate printers.
Standard TCP/IP (Transmission Control Protocol/Internet Protocol) | This is a protocol that defines the rule computers must follow to communicate with each other over the Internet.
UNC (Universal Naming Convention) | This is a standard for identifying servers, printers, and other resources in a network without mapping the network drive. It provides each shared resource with a unique address. This allows operating systems that support UNC to completely specify a directory on a file server.


Launching the Status Messenger manually

Note: Make sure the printer and computer are connected using a USB cable.

In Windows 8

From the Search charm, type status messenger, and then navigate to:

Apps list > Status Messenger

In Windows 7 or earlier

  1. Click the start button or Start.

  2. Click All Programs or Programs, and then select the printer program folder from the list.

  3. Click Printer Home > Status Messenger.

The Status Messenger opens.

Notes:

  • The Status Messenger is available only if you have selected to include it during package configuration.
  • If you choose not to launch the Status Messenger manually after the print object is created, then the Status Messenger will automatically launch when the computer restarts.


Specifying a port using the command line

You can indicate the port name and port address on the command line during installation by selecting Specify the port at install time through the command line.

Parameter | Value | Sample
/port: | Port name | /port:portname
/address: | Network name or IP address of the printer | /address:123.123.123.123 /address:networkname

Sample command line: LexmarkPkgInstall.exe /port:portname /address:123.123.123.123

Notes:

  • LexmarkPkgInstall.exe returns 0 after a successful installation.
  • Specify the port and address parameters to successfully start the installation.
  • The specified port name and address are applied to all print objects in the package that are set to be specified during installation. For printer objects that are assigned ports during package creation, the port selected during packaging time is honored.
  • The command line parameters for port name or address are processed only if the package was created to accept the port name and address on the command line. If these parameters are passed to a package that is not meant to receive this information on the command line, then the installation proceeds, but ignores these parameters. The ports are created based on information in the package, not from the parameters on the command line. A warning is issued to the command prompt. In this case, the return code is 0 because installation completed successfully.


What is a port name?

The port name is a unique name assigned to a port on the computer where the printer is attached.


Why is my printer not on the list?

Make sure that your computer and printer are connected to the same wireless network

The printer may not be on the same wireless network as the computer. If the computer is already connected to the wireless network, then the SSID of the printer must match the SSID of the computer.

  1. Obtain the SSID of the network that the computer is connected to.

    1. Type the IP address of your access point (wireless router) into the address field of your Web browser.

      If you do not know the IP address of the access point, then do the following:

      In Windows 8

      From the Search charm, type run, and then navigate to:

      Apps list > Run > type cmd > OK > type ipconfig

      In Windows 7 or earlier

      1. Click the start button, or click Start and then click Run.

      2. In the Start Search or Run box, type cmd.

      3. Press Enter or click OK, and then type ipconfig.

      Notes:

      • The “Default Gateway” entry is typically the access point, but make sure that it belongs to the “Wireless Network Connection” section of the ipconfig information.
      • The IP address appears as four sets of numbers separated by periods, such as 123.123.123.123.

    2. Press Enter or Go.

    3. Type the user name and password for the access point when prompted, and then click OK.

    4. In the Wireless settings section, look for the SSID.

    5. Write down the SSID.

      Note: Make sure you copy it exactly, including any capital letters.

  2. Obtain the SSID of the network that the printer is connected to:

    1. From the printer, print a network setup page.

      For more information, see the User's Guide.

    2. In the Wireless section, look for SSID.

  3. Compare the SSID of the computer and SSID of the printer.

    If the SSIDs are the same, then the computer and the printer are connected to the same wireless network.

    If the SSIDs are not the same, then run the Wireless Setup Utility again to set up the printer on the wireless network used by the computer. Make sure you select the SSID used by the computer.

Make sure that the computer is not connected to a Virtual Private Network (VPN)

Most Virtual Private Networks allow computers to communicate with only the VPN and no other network at the same time. Disconnect from the VPN before installing the driver on the computer or before running the wireless setup on the computer.

To check if the computer is currently connected to a VPN, open your VPN Client software, and then check your VPN connections. If you do not have a VPN Client software installed, then check the connections manually using the Windows VPN Client.

If you would like to have the ability to connect to your local network and to a VPN at the same time, then request the system support person for the VPN to allow split tunneling. Be aware that some organizations will not allow split tunneling due to security or technical concerns.

Make sure third-party applications are not blocking your printer

Third-party applications, including antivirus, security, and firewall programs, may block the discovery of your printer. Configure your application settings to unblock the printer, and then refresh the network list.


Selecting additional software

Take note of the following when selecting additional software:

  • The selected software will be included in the generated package and installed on the user’s system in the specified directory during installation.

  • Make sure you use the same installation path when deploying a subsequent package to ensure that there is only one copy of the installed application and that it is the latest version.

  • Some files may be installed either in the x86 directory or the 64-bit system depending on the operating system used.

  • The list of software applications may vary depending on the printer model.


Launching the generated package

Do either of the following:

  • Use the operating system logon scripts.

  • Share the packages and have the users invoke them.

Note: Make sure you have sufficient administrative privileges to perform the installation.


Package Builder Help